1. Happy Holidays! Check out our Limited Edition Cosmetic Items - Snowmen, Elves, Candy Canes and Christmas Trees!

Servers Minecraft 1.13 Poll

Discussion in 'Announcements' started by Mistri, Dec 24, 2017.

Servers - Minecraft 1.13 Poll
?

What should Shotbow do for the 1.13 update?

Poll closed Jan 7, 2018.
I think Shotbow should stay on 1.9 with 1.9-1.13 compatibility 112 vote(s) 41.0%
I think Shotbow should upgrade to 1.10 and support 1.10-1.13 6 vote(s) 2.2%
I think Shotbow should upgrade to 1.11 and support 1.11-1.13 21 vote(s) 7.7%
I think Shotbow should upgrade to 1.12 and support 1.12-1.13 31 vote(s) 11.4%
I think Shotbow should upgrade to 1.13 as its base version 103 vote(s) 37.7%
  1. Mistri Art Team Lead

    XP:
    272,037xp
    [IMG]
    Minecraft 1.13
    Greetings! You may or may not have heard that Mojang has been recently working on a new version of Minecraft: 1.13. While it has no set release date, we believe that it will be released soon. It will focus mainly on bug fixes, technical features, and optimization of Minecraft, such as command block updates, command updates, and much more. You can read more about it on Minecraft Wiki.

    Poll
    Today, we're here to ask you, the community, whether or not you think Shotbow should support Minecraft version 1.13 when it is to be released.

    Disclaimer #1: Please note that the majority vote may not necessarily be the option we end up going with, but we'd like some feedback as to what you guys think!

    Disclaimer #2: Please note that Shotbow is not reverting to any version pre-1.9 under any circumstances. Any comments posted suggesting this may be deleted at staff discretion.

    If you have a preference in regards to the Minecraft versioning, please tell us what you prefer about your preferred version. The poll will close in two weeks' time. Votes are anonymous, and staff members are encouraged to vote. We value your feedback – thank you for your time, and thanks for flying Shotbow!

    Until next time,
    Mistri & the Shotbow PR Team

    ================================== 日本語 ==================================
    Minecraft 1.13
    皆さんこんにちは! 既にご存知の方もおられるかと思いますが、Mojangは現在マインクラフトの新しいバージョン、1.13の開発に取り組んでいます。1.13の公開日は発表されていませんが、私たちは近いうちにリリースされると予想しています。1.13は主にバグの修正、技術的な機能、コマンド及びコマンドブロックの最適化といったマインクラフト自体の最適化に主眼が置かれています。より詳細な情報については、こちらのMinecraft Wikiからご覧になれます。

    投票
    今日、私たちは あなた に、コミュニティ全体に、Shotbowがバージョン1.13をサポートすべきかどうかについて忌憚のない意見をお伺いしたく、投票を実施します。

    おことわり #1: 何が最も得票した選択肢 であっても、 必ずしもその通りに進めることが出来るとは限りません。ご了承下さい。プレイヤーの皆さんの幅広いご意見をお待ちしています!

    おことわり #2: Shotbowが1.9以前のバージョンに逆戻りすることは、どのような状況であっても 起こりません。そのような提案は、いかなるものであってもスタッフの判断によって削除されるでしょう。

    もしあなたが、マインクラフトのバージョンに関して持論をお持ちの場合、お好みのバージョンのどのような点が気に入っているか、私たちにお伝えください。 この投票は二週間で締め切られます。投票は匿名で行われます。 貴重なご意見をありがとうございます。お時間を割いていただき感謝いたします。Shotbowで遊んでいただきありがとうございます!

    またお会いしましょう。
    Mistri & the Shotbow PR Team
    Sam_F_, Fluffoon and HungerHealer like this.

  2. LegendaryAlex Gold

    XP:
    124,068xp
    IF Shotbow goes to 1.13, will you guys actually take advantage of the 1.13 features?
  3. Mistri Art Team Lead

    XP:
    272,037xp
    That is entirely up to each gamemode lead, but it is entirely possible! We did this with 1.9, taking advantage of the 1.9 blocks when we upgraded, and doing things with shields in MineZ and Annihilation, etc. It's definitely a possibility!
  4. ACrispyTortilla Platinum

    XP:
    97,046xp
    Since we are already on 1.9, what would hurt about going and upgrading to 1.13? If anything, it gives builders (and developers?) an easier time to build (and code perhaps?) Upgrading to 1.13 would also allow new players to join in straight from the current minecraft version, and any older players could easily just upgrade to 1.13 anyway.
  5. Ivandagiant Silver

    XP:
    53,267xp
    Yea, only thing I could see staying on an old version for is 1.7...but we have already left it. Might as well fully commit. I doubt people only play 1.9 like some do with 1.7.
    ACrispyTortilla likes this.
  6. Friendly123 Builder

    XP:
    35,147xp
    I like the idea of upgrading the server. 1.11-1.13 or 1.12-1.13 support would be nice. It would provide much more variety in block choices. I voted 1.11-1.13 but I would definitely be okay with 1.12-1.13 too!
  7. cyclone_43 Silver

    XP:
    27,745xp
    1.11 is the most stable version right? If there's features in 1.12 or 1.13 a game mode needs then update that far, but I think 1.11 is the most stable and that would make a good base version
    Friendly123 likes this.
  8. ACringyTortilla Platinum

    XP:
    82,688xp
    I don't really care, but I use 1.12. I voted for 1.11 - 1.13 but 1.9 - 1.13 might be a good choice too.
    EDIT: I wouldn't choose 1.13 itself because there should be a variety of choices and also it's really annoying for me to have to switch back and fourth from 1.12 to 1.9 etc.
    Ninkz and Friendly123 like this.
  9. StormAerospace Platinum

    XP:
    484,809xp
    I would advocate for going 1.13 only, and adding 1.12 as legacy support only as time permits. Supporting multiple versions introduces many failure points for glitches to occur, and prevents using any new features added in the later versions.

    Some people only stick to older versions because they like using mods that are currently only supported on those versions; however, the vast majority of the playerbase (at least the playerbase that we should be striving to attract to get back up to 1000+ player counts) uses only the latest vanilla Minecraft release. The most important mods are armor/effect status and minimap HUDs, which are usually kept fairly up-to-date nowadays, especially since the Forge API is maturing and people are getting better about sticking to APIs and not going down the NMS rabbit-hole.

    I would also advocate focusing on trying to polish off the PvP experience and make combat as responsive as possible, since right now PvP in most gamemodes feels rather choppy and unpredictable. This may or may not have to do with the modifications to make PvP like it was pre-1.9.
  10. gpandaman Platinum

    XP:
    118,183xp
    Personally, 1.13 and up. By the time everything is coded and tweaked for 1.13, there are likely to be another one or two versions above it anyways.
  11. ChrisNT Platinum

    XP:
    79,674xp
    1.13. We already left 1.7/1.8 so why shouldn't we take advantage of 1.13? : D
  12. EnderSerpent4 Regular Member

    XP:
    72,871xp
    If Shotbow upgrades its base version, I expect new updates to games using the new features. 1.11 would be nice because of Totem of Undying and that would be interesting in game modes especially Anni. Magma blocks would be very interesting for maps, and the new blocks would be nice for new maps. 1.12 and up is meh for content, so I like 1.11 as the base.
    Friendly123 likes this.
  13. Soular_Energy Obsidian

    XP:
    89,365xp
    No, don't do it. 1.13 is basically a complete recoding of Minecraft from the ground up. Nobody knows how well it will go with current servers in terms of compatibility. More than likely, when you guys upgrade, everything on Shotbow will be ruined. You already have too many issues to resolve. Don't give yourself more.
  14. ACringyTortilla Platinum

    XP:
    82,688xp
    Please not make 1.13 it's base, it will be annoying for me to switch back and fourth between 1.13 and 1.12 since there are other servers that have certain versions. 1.11 - 1,13 is the best choice in my opinion.
    Friendly123 and DutchEmerald like this.
  15. DutchEmerald Regular Member

    XP:
    66,445xp
    well I hope we still can pvp in 1.8 style
    _haruya, Hingey and EduardoKanp like this.
  16. FEDPOL1 Regular Member

    XP:
    48,765xp
    It's really not that painful, I'm already swapping between beta 1.2, 1.9, 1.12, and 17w50a; make seperate launcher profiles with seperate game directories.
  17. ROBMM Regular Member

    XP:
    25,567xp
    I really wish that instead of updating to a new version how about fixing the already broken gamemodes
  18. StormAerospace Platinum

    XP:
    484,809xp
    The Spigot team is pretty good at what they do. Anything that goes through the Bukkit/Spigot API (90% of the code) will work almost flawlessly regardless of versionn. The only issue is getting NMS-based code to work. Shotbow has a lot of NMS but not enough to totally ruin an update. Frankly, it gets easier to update as the Mojang codebase becomes less of an illogical mess as they begin to rewrite it.
    Ivandagiant likes this.
  19. Pichu2002 Platinum

    XP:
    23,013xp
    Upgrading to 1.13 would be perfect.
    It will take *a long while* to recode every command block in some gamemodes such as MineZ, but afterwards it will be much better and easier to work with
    *For me especially :wink:*
    Ivandagiant likes this.
  20. HungerHealer Regular Member

    XP:
    6,816xp
    I don't care about what version shotbow is running since there arent many big changes since 1.9? the version you decide to run should, at least compatible with 1.13.

Share This Page